INCLUDES = $(all_includes)
METASOURCES = AUTO

KDE_ICON = AUTO

# Install this plugin in the KDE modules directory
kde_module_LTLIBRARIES = katesortplugin.la

katesortplugin_la_SOURCES = plugin_sort.cpp sortdialog.cpp sortdialoglayout.ui
katesortplugin_la_LIBADD = -lkateinterfaces
katesortplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)

pluginsdir = $(kde_datadir)/kate/plugins/sort
plugins_DATA = plugin_sort.rc


messages: rc.cpp
	$(EXTRACTRC) `find . -name \*.ui -o -name \*.rc` > rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/katesort.pot
noinst_HEADERS = sortdialog.h sortdialoglayout.h
kde_services_DATA = katesort.desktop
